{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "PAGE.CAPTION.TEST.TABSEARCHLISTVIEW"
  },
  "caption" : "分页搜索列表",
  "codeName" : "TESTTabSearchListView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTTabSearchListView.json",
  "mDCtrlActiveMode" : 2,
  "name" : "TESTTabSearchListView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "ListView",
    "name" : "engine"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "openMode" : "INDEXVIEWTAB_POPUPMODAL",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "openMode" : "INDEXVIEWTAB_POPUPMODAL",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "openMode" : "INDEXVIEWTAB_POPUPMODAL",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "openMode" : "INDEXVIEWTAB_POPUPMODAL",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "NEWDATA",
    "realOpenMode" : "INDEXVIEWTAB_POPUPMODAL",
    "realTitle" : "简单编辑",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.TEST.SIMPLEEDITVIEW"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITDATA",
    "realOpenMode" : "INDEXVIEWTAB_POPUPMODAL",
    "realTitle" : "简单编辑",
    "getRealTitlePSLanguageRes" : {
      "lanResTag" : "PAGE.TITLE.TEST.SIMPLEEDITVIEW"
    },
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "TabSearchListViewtabtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "分页搜索列表_工具栏",
    "name" : "tabtoolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "ctrlParams" : {
        "TELEPORTFLAG" : "true"
      },
      "id" : "TABTOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.NEW"
      },
      "caption" : "列表新建",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "tabtoolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf0f6@FontAwesome",
        "cssClass" : "fa fa-file-text-o"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.NEW"
        },
        "caption" : "新建",
        "codeName" : "New",
        "fullCodeName" : "New",
        "name" : "表格界面_新建操作",
        "getPSSysImage" : {
          "glyph" : "xf0f6@FontAwesome",
          "cssClass" : "fa fa-file-text-o"
        },
        "predefinedType" : "GRIDVIEW_NEWACTION",
        "refreshMode" : 1,
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.NEW"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "New",
        "uIActionType" : "DEUIACTION",
        "reloadData" : true
      },
      "tooltip" : "列表新建",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.NEW"
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "userTag" : "a0001",
    "xDataControlName" : "list",
    "modelid" : "2110C0C0-082C-4286-842A-8FF65169BB45",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "TabSearchListView_List",
    "controlType" : "LIST",
    "getCreatePSControlAction" : {
      "modelref" : true,
      "id" : "create",
      "actionName" : "Create",
      "actionType" : "DEACTION",
      "dataAccessAction" : "CREATE",
      "name" : "create",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Create"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSLISTS/TabSearchListView_List.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getGetPSControlAction" : {
      "modelref" : true,
      "id" : "load",
      "actionName" : "Get",
      "actionType" : "DEACTION",
      "dataAccessAction" : "READ",
      "name" : "load",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Get"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "groupMode" : "NONE",
    "getItemPSLayoutPanel" : {
      "getAllPSPanelFields" : [ {
        "id" : "testname",
        "viewFieldName" : "TESTNAME"
      } ],
      "codeName" : "Usr0326265381",
      "controlType" : "PANEL",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSPANELS/Usr0326265381.json",
      "layoutMode" : "TABLE_24COL",
      "logicName" : "List8_列表项面板",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : { },
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getRootPSPanelItems" : [ {
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "page_container",
        "getPSLayout" : {
          "dir" : "column",
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSPanelItems" : [ {
          "caption" : "文本(动态)",
          "itemStyle" : "DEFAULT",
          "itemType" : "FIELD",
          "name" : "testname",
          "getPSEditor" : {
            "editorType" : "SPAN",
            "name" : "testname",
            "predefinedType" : "FIELD_TEXT_DYNAMIC",
            "renderMode" : "TEXT_DYNAMIC",
            "enableLinkView" : false
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "viewFieldName" : "TESTNAME"
        } ]
      } ],
      "name" : "list_itempanel",
      "modelid" : "AF7ADEF6-0F76-48A2-BA68-C6DD89AFE727",
      "modeltype" : "PSSYSVIEWPANEL"
    },
    "logicName" : "List8",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "列表控件处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "LIST"
    },
    "getPSDEDataImport" : {
      "modelref" : true,
      "id" : "DataImport"
    },
    "getPSDEListDataItems" : [ {
      "dataType" : 25,
      "name" : "testname",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    } ],
    "pagingSize" : 1000,
    "getRemovePSControlAction" : {
      "modelref" : true,
      "id" : "remove",
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "getUpdatePSControlAction" : {
      "modelref" : true,
      "id" : "update",
      "actionName" : "Update",
      "actionType" : "DEACTION",
      "dataAccessAction" : "UPDATE",
      "name" : "update",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Update"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "hasWFDataItems" : false,
    "enableGroup" : false,
    "enableRowEdit" : false,
    "enableRowEditGroup" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "noSort" : false,
    "showHeader" : true,
    "singleSelect" : false,
    "name" : "list",
    "modelid" : "4718F907-43A7-4C95-BCE9-F9DE05F84B59",
    "modeltype" : "PSDELIST"
  }, {
    "codeName" : "simple",
    "controlType" : "SEARCHBAR",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSSEARCHBARS/simple.json",
    "logicName" : "简单搜索栏",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "ctrlParams" : {
        "TELEPORTTAG" : "#testusr03185471tabsearchview-tabsearchbar"
      },
      "id" : "TABSEARCHBAR"
    },
    "getPSSearchBarFilters" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFSFITEM.TEST.N_TYPE_EQ"
      },
      "caption" : "类型(=)",
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "typeeq",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      },
      "getPSDEFSearchMode" : {
        "codeName" : "N_TYPE_EQ",
        "name" : "N_TYPE_EQ",
        "stdDataType" : 25,
        "valueOP" : "EQ"
      },
      "getPSEditor" : {
        "editorParams" : {
          "AC" : "TRUE",
          "PICKUPVIEW" : "TRUE"
        },
        "editorType" : "PICKER",
        "name" : "typeeq",
        "valueItemName" : "type_id",
        "enableAC" : true,
        "enablePickupView" : true,
        "forceSelection" : true,
        "showTrigger" : true,
        "singleSelect" : true
      },
      "valueItemName" : "type_id",
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFSFITEM.TEST.N_TESTNAME_LIKE"
      },
      "caption" : "测试实体名称(%)",
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "namelike",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      },
      "getPSDEFSearchMode" : {
        "codeName" : "N_TESTNAME_LIKE",
        "name" : "N_TESTNAME_LIKE",
        "stdDataType" : 25,
        "valueOP" : "LIKE"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "namelike"
      },
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false
    }, {
      "dataType" : 5,
      "itemType" : "FILTER",
      "itemWidth" : 160.0,
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "time",
      "getPSAppDEField" : {
        "name" : "TIME",
        "codeName" : "Time"
      },
      "getPSEditor" : {
        "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
        "editorParams" : {
          "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
        },
        "editorType" : "DATEPICKER",
        "editorWidth" : 160.0,
        "name" : "time"
      },
      "valueItemName" : "time_id",
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false
    } ],
    "quickGroupCount" : -1,
    "quickSearchMode" : 2,
    "quickSearchWidth" : 0,
    "enableFilter" : true,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false,
    "name" : "tabsearchbar",
    "modelid" : "89CB7711-3140-48E1-8DB6-1509AC86BB7E",
    "modeltype" : "PSSYSSEARCHBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false
  }, {
    "getCapPSLanguageRes" : {
      "lanResTag" : "PAGE.CAPTION.TEST.TABSEARCHLISTVIEW"
    },
    "caption" : "分页搜索列表",
    "codeName" : "TabSearchListViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "TabSearchListView",
  "getPSDEViewId" : "0BA65F48-5B04-49C2-9326-C80A5EA2C743",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDELISTVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "分页搜索列表",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.TEST.TABSEARCHLISTVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DELISTVIEW",
  "xDataControlName" : "list",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "modelid" : "14a8466ca1e33085cbdbe44151b9b104",
  "modeltype" : "PSAPPDEVIEW"
}